import request from "@/utils/request";
import { Account_BaseUrl } from "@/api/config";
const baseURL = Account_BaseUrl + "/admin/quick";
const API = {
  getList(data: any) {
    return request<any, QuickMenu[]>({
      url: `${baseURL}`,
      method: "get",
      params: data
    });
  },
  add(data: any) {
    return request({
      url: `${baseURL}`,
      method: "post",
      data: data,
    });
  },
  delete(ids: [string | number]) {
    return request({
      url: `${baseURL}`,
      method: "delete",
      data: ids,
    });
  },
  edit(data: any) {
    return request({
      url: `${baseURL}`,
      method: "put",
      data: data,
    });
  },
}
export default API;



/**
 * 悬浮窗配置 实体类。
 *
 * QuickMenu
 */
export interface QuickMenu {
  createTime?: string;
  id?: number;
  /**
   * 菜单Id
   */
  menuId: number;
  /**
   * 店铺Id
   */
  shopId?: number;
  /**
   * 排序
   */
  sort?: number;
  /**
   * 状态 1-启用 0-禁用
   */
  status?: number;
  updateTime?: string;
  /**
   * 菜单图标
   */
  url?: string;
  [property: string]: any;
}
